'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.printResult = undefined;

var _tablify = require('./tablify');

var _tablify2 = _interopRequireDefault(_tablify);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-next-line import/prefer-default-export
var printResult = exports.printResult = function printResult(vorpal) {
  var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
      json = _ref.json;

  return function (result) {
    var output = json ? JSON.stringify(result) : (0, _tablify2.default)(result).toString();

    vorpal.activeCommand.log(output);
    return result;
  };
}; /*
    * LiskHQ/lisky
    * Copyright © 2017 Lisk Foundation
    *
    * See the LICENSE file at the top-level directory of this distribution
    * for licensing information.
    *
    * Unless otherwise agreed in a custom licensing agreement with the Lisk Foundation,
    * no part of this software, including this file, may be copied, modified,
    * propagated, or distributed except according to the terms contained in the
    * LICENSE file.
    *
    * Removal or modification of this copyright notice is prohibited.
    *
    */